// NetoDemoDlg.h : header file
//
//{{AFX_INCLUDES()
#include "netoctl.h"
//}}AFX_INCLUDES

#if !defined(AFX_NETODEMODLG_H__F3B96CE6_EE44_11D5_B137_FC13FA675872__INCLUDED_)
#define AFX_NETODEMODLG_H__F3B96CE6_EE44_11D5_B137_FC13FA675872__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CNetoDemoDlg dialog

class CNetoDemoDlg : public CDialog
{
// Construction
public:
	CRect m_ledRect;
	COLORREF m_ledColor;

	void SetLed( void );
	long GetComType( void );
	long GetBaudrate( void );
	short GetCom( void );
	CNetoDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CNetoDemoDlg)
	enum { IDD = IDD_NETODEMO_DIALOG };
	CStatic	m_Message;
	CProgressCtrl	m_Total;
	CProgressCtrl	m_Current;
	CButton	m_StartStop;
	CNetoCtl	m_Neto;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNetoDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CNetoDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonRemove();
	afx_msg void OnButtonPath();
	afx_msg void OnButtonStartstop();
	afx_msg void OnProgressNetoctl1(short Current, short Total, short Comport);
	afx_msg void OnProtocolMessageNetoctl1(short msgCode, LPCTSTR strMessage, short final, short Comport);
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NETODEMODLG_H__F3B96CE6_EE44_11D5_B137_FC13FA675872__INCLUDED_)
